Subject: Re: [bug-diffutils] bug#20940: Issue with AIX build ld:Undefined symbol: @4@null_action

From: Paul Eggert <[email-masked]>
Date: Tue, 30 Jun 2015 18:31:28 -0700

Pete Lancashire wrote:

> diffutils 3.2

That's pretty old.  Can you reproduce the problem with diffutils 3.3?  I can't, 
so possibly the bug is fixed already, which would be nice.

> CFLAGS -qmaxmem=-1 -qarch=pwr7 -qtune=pwr7 -qcache=auto -DSYSV -D_AIX
> -D_AIX71 -D_ALL_SOURCE -DFUNCPROTO=15 -O5 -I/usr/local/include
> LDFLAGS  -L/usr/local/lib64 -L/usr/local/lib -bmaxdata:0x80000000 -brtl

That's quite a few flags.  What happens if you omit them?

Here's how I attempted to reproduce the problem with diffutils 3.3 on my AIX 
environment.  I built with './configure CC=xlc_r'.  My version info is:

$ uname -a
AIX power-aix 1 7 00F84C0C4C00
$ oslevel -s
7100-02-02-1316
$ xlc_r -qversion
IBM XL C/C++ for AIX, V12.1 (5765-J02, 5725-C72)
Version: 12.01.0000.0000